| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Typedefs | Enumerations | Functions
Connection Parameters Negotiation
BLE libraries

Module for initiating and executing a connection parameters negotiation procedure. More...

## Data Structures
struct | ble_conn_params_evt_t
| Connection Parameters Module event. More...
struct | ble_conn_params_init_t
| Connection Parameters Module init structure. This contains all options and data needed for initialization of the connection parameters negotiation module. More...

## Typedefs
typedef void(* | ble_conn_params_evt_handler_t )(ble_conn_params_evt_t *p_evt)
| Connection Parameters Module event handler type.

## Enumerations
enum | ble_conn_params_evt_type_t { BLE_CONN_PARAMS_EVT_FAILED, BLE_CONN_PARAMS_EVT_SUCCEEDED }
| Connection Parameters Module event type. More...

## Functions
uint32_t | ble_conn_params_init (const ble_conn_params_init_t *p_init)
| Function for initializing the Connection Parameters module. More...
uint32_t | ble_conn_params_stop (void)
| Function for stopping the Connection Parameters module. More...
uint32_t | ble_conn_params_change_conn_params (ble_gap_conn_params_t *new_params)
| Function for changing the current connection parameters to a new set. More...
void | ble_conn_params_on_ble_evt (ble_evt_t *p_ble_evt)
| Function for handling the Application's BLE Stack events. More...

## Detailed Description

Module for initiating and executing a connection parameters negotiation procedure.

## Enumeration Type Documentation

enum ble_conn_params_evt_type_t

Connection Parameters Module event type.

Enumerator
BLE_CONN_PARAMS_EVT_FAILED | Negotiation procedure failed.
BLE_CONN_PARAMS_EVT_SUCCEEDED | Negotiation procedure succeeded.

## Function Documentation

uint32_t ble_conn_params_change_conn_params | ( | ble_gap_conn_params_t * | new_params | ) |

Function for changing the current connection parameters to a new set.

Use this function to change the connection parameters to a new set of parameter (ie different from the ones given at init of the module). This function is usefull for scenario where most of the time the application needs a relatively big connection interval, and just sometimes, for a temporary period requires shorter connection interval, for example to transfer a higher amount of data. If the given parameters does not match the current connection's parameters this function initiates a new negotiation.

Parameters

  [in] | new_params | This contains the new connections parameters to setup.

Returns
  NRF_SUCCESS on successful initialization, otherwise an error code.

uint32_t ble_conn_params_init | ( | const ble_conn_params_init_t * | p_init | ) |

Function for initializing the Connection Parameters module.

Note
  If the negotiation procedure should be triggered when notification/indication of any characteristic is enabled by the peer, then this function must be called after having initialized the services.

Parameters

  [in] | p_init | This contains information needed to initialize this module.

Returns
  NRF_SUCCESS on successful initialization, otherwise an error code.

void ble_conn_params_on_ble_evt | ( | ble_evt_t * | p_ble_evt | ) |

Function for handling the Application's BLE Stack events.

Handles all events from the BLE stack that are of interest to this module.

Parameters

  [in] | p_ble_evt | The event received from the BLE stack.

uint32_t ble_conn_params_stop | ( | void |  | ) |

Function for stopping the Connection Parameters module.

This function is intended to be used by the application to clean up the connection parameters update module. This will stop the connection parameters update timer if running, thereby preventing any impending connection parameters update procedure. This function must be called by the application when it needs to clean itself up (for example, before disabling the bluetooth SoftDevice) so that an unwanted timer expiry event can be avoided.

Returns
  NRF_SUCCESS on successful initialization, otherwise an error code.